# 17. クエリ: 「SoilDatasets」を取得

選択された「Field」に対するすべての「SoilDatasets」を取得します。データセットは次のような一般的なGraphQLクエリを使用して取得できます `getFarms` と `getFields` リンクされた「Field」から。&#x20;

{% hint style="warning" %}
「SoilDataset」は事前にアップロードされている必要があります。
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #パターン "<OperationType> <YYYY-mm-DD>"
        operationId #存在する場合
        number #ジオフィーチャーの総数
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #属性ごとの完全な詳細
          name #統計へのリンク >> 属性
          transliteratedName
          fullName #存在する場合
          unit #存在する場合
        }

        createdDate #GeoPardでのエンティティ作成日時
        updatedDate #最終更新日時
        operationType
        operationId
        operationFileDate #ファイル作成日時
        operationStartDate #作業開始日時
        
        statistics { #各土壌属性の統計分布
          attribute
          最小
          最大
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        名前  
        operationId #存在する場合 
        number #ジオフィーチャーの総数 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #統計へのリンク >> 属性
          transliteratedName
          fullName #存在する場合
          unit #存在する場合
        }
      
        createdDate #GeoPardでの作成日時
        updatedDate #GeoPardでの最終更新日時
        operationFileDate #ファイル作成日時（存在する場合）
        operationStartDate #作業開始日時（存在する場合）
      
        statistics { #各土壌属性の統計分布
          attribute
          最小
          最大
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #視覚的表現
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/17-kueri-soildatasetswo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
